## drkonqi 6.2.90

=== debian/changelog ===
drkonqi (6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 05:31:02 +0000

drkonqi (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 18:59:15 +0000

drkonqi (6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:12:09 +0000

drkonqi (6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:55:23 +0000

=== debian/control ===
Source: drkonqi
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6crash-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6idletime-dev (>= 6.10.0~),
               libkf6jobwidgets-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkf6statusnotifieritem-dev (>= 6.10.0~),
               libkf6syntaxhighlighting-dev (>= 6.10.0~),
               libkf6wallet-dev (>= 6.10.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libpolkit-qt6-1-dev,
               libsystemd-dev [linux-any],
               pkgconf,
               qt6-base-dev (>= 6.7.0+dfsg~),
               qt6-declarative-dev (>= 6.7.0+dfsg~),
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/drkonqi
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
Rules-Requires-Root: no

Package: drkonqi
Architecture: any
Depends: qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-syntaxhighlighting,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: python3-psutil, python3-sentry-sdk
Suggests: systemd-coredump [linux-any],
Description: Crash handler for Qt applications
 Drkonqi shows a dialog for dealing with application crashes.
 .
 Drkonqi also doesn't technically require a process to actually crash, you
 can simply run it manually on any old pid. Do note that in most cases you
 only need to define the pid, however not giving certain cmdline options can
 change behavior somewhat drastically (e.g. kdeinit vs. notkdeinit behaves
 radically different as far as process name detection goes) . Drkonqi has a
 number of backends that may be used. Backends are stacked by order of
 preference, backends in the directory of the binary are most preferred.
 This means that you can dump debuggers/internal/ into your build's bin/
 directory and override for example gdb. This essentially allows you to
 replace the gdb debugger with a cat of a fixture file to not have to trace
 live processes at all.

## drkonqi 6.3.0

=== debian/changelog ===
drkonqi (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:51:46 +0100

drkonqi (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:50:11 +0100

drkonqi (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:05:54 +0100

## drkonqi 6.3.2

=== debian/changelog ===
drkonqi (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * New upstream release (6.3.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:50:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: drkonqi
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                libkf6config-dev (>= 6.10.0~),
@@ -27,13 +26,13 @@
                libpolkit-qt6-1-dev,
                libsystemd-dev [linux-any],
                pkgconf,
-               qt6-base-dev (>= 6.7.0+dfsg~),
-               qt6-declarative-dev (>= 6.7.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.7.0~),
                zlib1g-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/drkonqi
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/drkonqi.git
 Rules-Requires-Root: no
 
 Package: drkonqi
@@ -43,8 +42,7 @@
          qml6-module-org-kde-syntaxhighlighting,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: python3-psutil, python3-sentry-sdk
-Suggests: systemd-coredump [linux-any],
+Recommends: python3-psutil, python3-sentry-sdk, systemd-coredump [linux-any],
 Description: Crash handler for Qt applications
  Drkonqi shows a dialog for dealing with application crashes.
  .

## drkonqi 6.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(drkonqi)
set(PROJECT_VERSION "6.3.4")
set(PROJECT_VERSION_MAJOR 6)

set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMMarkAsTest)
include(CheckFunctionExists)
include(FeatureSummary)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMFindQmlModule)
include(ECMSourceVersionControl)
include(CMakeDependentOption)
include(FindPythonModule)

option(WITH_SYSTEMD "Enable systemd integration (note that crash reporting without systemd may eventually be deprecated)" ON)
option(WITH_GDB12 "The gdb version available is at least GDB 12 (this enables dynamic debug symbol resolution even when no DEBUG_PACKAGE_INSTALLER_NAME is available)" FALSE)
option(WITH_PYTHON_VENDORING "Python dependency vendoring (cmake will install python dependencies into drkonqi's python tree)" ON)

kde_enable_exceptions()

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Widgets Test DBus Concurrent Quick)

find_package(
    KF6
    ${KF6_MIN_VERSION}
    REQUIRED
    COMPONENTS
        I18n
        CoreAddons
        Config
        Service
        JobWidgets
        KIO
        Crash
        WidgetsAddons
        Wallet
        Notifications
        IdleTime
        WindowSystem
        SyntaxHighlighting
        StatusNotifierItem
)

ecm_find_qmlmodule(org.kde.kirigami 2.20)
ecm_find_qmlmodule(org.kde.kitemmodels 1.0)
ecm_find_qmlmodule(org.kde.syntaxhighlighting 1.0)

find_package(Python3 3.8 COMPONENTS Interpreter)

find_pythonmodule(psutil)
find_pythonmodule(pygdbmi)
find_pythonmodule(sentry_sdk)

ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 5.240
)

if(CMAKE_SYSTEM_NAME MATCHES Linux AND WITH_SYSTEMD)
    find_package(Systemd 249)
    set_package_properties(Systemd PROPERTIES TYPE REQUIRED PURPOSE "Coredumpd integration.")
endif()

if(Systemd_FOUND)
    find_package(PolkitQt6-1) # This is only used when extracting crashes from coredumpd
    set_package_properties(PolkitQt6-1 PROPERTIES TYPE REQUIRED PURPOSE "Reading kwin_wayland crashes")

    find_package(coredumpctl)
    set_package_properties(
        coredumpctl
        PROPERTIES
        TYPE RUNTIME
        DESCRIPTION "coredumpd CLI. part of systemd"
        PURPOSE "Required for coredumpd support to work at runtime!"
    )
endif()

add_subdirectory(src)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ecm_qt_install_logging_categories(
    EXPORT DRKONQI
    FILE drkonqi.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"drkonqi\")

include(CheckFunctionExists)

check_function_exists("strsignal" HAVE_STRSIGNAL)
check_function_exists("uname" HAVE_UNAME)

if(NOT DEBUG_PACKAGE_INSTALLER_NAME)
    set(DEBUG_PACKAGE_INSTALLER_NAME "installdbgsymbols.sh")
endif()

configure_file(config-drkonqi.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-drkonqi.h)

add_subdirectory(bugzillaintegration/libbugzilla)
add_subdirectory(data)
add_subdirectory(parser)

set(drkonqi_SRCS
    drkonqidialog.cpp
    statuswidget.cpp
    backtraceratingwidget.cpp
    backtracewidget.cpp
    backtracegenerator.cpp
    drkonqi.cpp
    drkonqibackends.cpp
    detachedprocessmonitor.cpp
    debugpackageinstaller.cpp
    systeminformation.cpp
    crashedapplication.cpp
    debugger.cpp
    debuggermanager.cpp
    statusnotifier.cpp
    statusnotifier_activationclosetimer.cpp
    linuxprocmapsparser.cpp
    drkonqi_globals.cpp
    qmlextensions/platformmodel.cpp
    qmlextensions/reproducibilitymodel.cpp
    qmlextensions/credentialstore.cpp
    qmlextensions/commentmodel.cpp
    qmlextensions/qobjectlistmodel.cpp
    qmlextensions/doctore.cpp
    drkonqidialog.h
    statuswidget.h
    backtraceratingwidget.h
    backtracewidget.h
    backtracegenerator.h
    drkonqi.h
    drkonqibackends.h
    detachedprocessmonitor.h
    debugpackageinstaller.h
    systeminformation.h
    crashedapplication.h
    debugger.h
    debuggermanager.h
    statusnotifier.h
    statusnotifier_activationclosetimer.h
    linuxprocmapsparser.h
    drkonqi_globals.h
    qmlextensions/platformmodel.h
    qmlextensions/reproducibilitymodel.h
    qmlextensions/credentialstore.h
    qmlextensions/commentmodel.h
    qmlextensions/qobjectlistmodel.h
    qmlextensions/doctore.h
)

ki18n_wrap_ui(drkonqi_SRCS
    ui/maindialog.ui
    ui/backtracewidget.ui
)

set(drkonqi_SRCS
    ${drkonqi_SRCS}
    bugzillaintegration/bugzillalib.cpp
    bugzillaintegration/reportinterface.cpp
    bugzillaintegration/productmapping.cpp
    bugzillaintegration/bugzillalib.h
    bugzillaintegration/reportinterface.h
    bugzillaintegration/productmapping.h
)

ecm_qt_declare_logging_category(
    drkonqi_SRCS
    HEADER drkonqi_debug.h
    IDENTIFIER DRKONQI_LOG
    CATEGORY_NAME org.kde.drkonqi
    DESCRIPTION "drkonqi"
    EXPORT DRKONQI
)

# transient static lib we can use to link autotests against
add_library(DrKonqiInternal STATIC ${drkonqi_SRCS})
kconfig_add_kcfg_files(DrKonqiInternal GENERATE_MOC settings.kcfgc)

target_link_libraries(
    DrKonqiInternal
    DrKonqiSentryInternal
    KF6::I18n
    KF6::CoreAddons
    KF6::ConfigGui
    KF6::JobWidgets
    KF6::KIOCore
    KF6::KIOGui
    KF6::Crash
    KF6::WindowSystem
    Qt::DBus
    Qt::Concurrent
    Qt::Qml
    KF6::WidgetsAddons
    KF6::Wallet
    KF6::Notifications # for status notifier
    KF6::IdleTime # hide status notifier only if user saw it
    KF6::SyntaxHighlighting # Backtrace Highlighting
    KF6::StatusNotifierItem
    drkonqi_backtrace_parser
    qbugzilla
)

if(Systemd_FOUND)
    add_subdirectory(coredump)

    target_sources(DrKonqiInternal PRIVATE coredumpbackend.cpp coredumpbackend.h)
    target_link_libraries(DrKonqiInternal drkonqi-coredump) # needed for logs extraction
    target_link_libraries(DrKonqiInternal drkonqi-coredumpexcavator)
    target_compile_definitions(DrKonqiInternal PRIVATE SYSTEMD_AVAILABLE)
endif()

add_executable(drkonqi main.cpp qml/qml.qrc)
ecm_mark_nongui_executable(drkonqi)
target_link_libraries(drkonqi DrKonqiInternal)

install(TARGETS drkonqi DESTINATION ${KDE_INSTALL_LIBEXECDIR})
configure_file(org.kde.drkonqi.desktop.cmake ${CMAKE_BINARY_DIR}/src/org.kde.drkonqi.desktop)
install(PROGRAMS ${CMAKE_BINARY_DIR}/src/org.kde.drkonqi.desktop DESTINATION ${KDE_INSTALL_APPDIR})

add_subdirectory(sentry)

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(bugzillaintegration/libbugzilla/autotests)
endif()

=== src/coredump/cleanup/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

add_subdirectory(autotests)

add_executable(drkonqi-coredump-cleanup main.cpp)
install(TARGETS drkonqi-coredump-cleanup DESTINATION ${KDE_INSTALL_LIBEXECDIR})

configure_file(drkonqi-coredump-cleanup.service.cmake ${CMAKE_CURRENT_BINARY_DIR}/drkonqi-coredump-cleanup.service)
install(
    FILES drkonqi-coredump-cleanup.timer ${CMAKE_CURRENT_BINARY_DIR}/drkonqi-coredump-cleanup.service
    DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR}
)
install(CODE "
    include(${CMAKE_SOURCE_DIR}/cmake/SystemctlEnable.cmake)
    systemctl_enable(drkonqi-coredump-cleanup.service default.target ${KDE_INSTALL_FULL_SYSTEMDUSERUNITDIR})
    systemctl_enable(drkonqi-coredump-cleanup.timer timers.target ${KDE_INSTALL_FULL_SYSTEMDUSERUNITDIR})
")

=== src/tests/backtraceparsertest/CMakeLists.txt ===
ecm_add_test(
    fakebacktracegenerator.cpp
    backtraceparsertest.cpp
    TEST_NAME backtraceparsertest
    LINK_LIBRARIES Qt::Test Qt::Core KF6::KIOWidgets drkonqi_backtrace_parser
)
add_executable(backtraceparsertest_manual fakebacktracegenerator.cpp backtraceparsertest_manual.cpp)
target_link_libraries(backtraceparsertest_manual Qt::Core KF6::I18n KF6::KIOWidgets drkonqi_backtrace_parser)
ecm_mark_as_test(backtraceparsertest_manual)
ecm_mark_nongui_executable(backtraceparsertest_manual)

=== debian/changelog ===
drkonqi (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:00:46 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
                zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/drkonqi
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/drkonqi.git

## drkonqi 6.3.5

=== debian/changelog ===
drkonqi (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:32:39 +0100

drkonqi (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:53:48 +0100

drkonqi (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:15:36 +0000

drkonqi (6.3.2-1ubuntu2) plucky; urgency=medium

  * Demote systemd-coredump back to suggests. We have apport.

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 08:16:48 +0000

drkonqi (6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Demote systemd-coredump to Suggests.
    - Don't install systemd-coredump postinst/postrm as we use apport.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 15:05:40 +0000

drkonqi (6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:14:29 +0000

drkonqi (6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:21:36 +0000

drkonqi (6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:53:26 +0000

drkonqi (6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:40:09 +0000

## drkonqi 6.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(drkonqi)
set(PROJECT_VERSION "6.4.2")

set(QT_MIN_VERSION "6.8.0")
set(KF6_MIN_VERSION "6.14.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMMarkAsTest)
include(CheckFunctionExists)
include(FeatureSummary)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMFindQmlModule)
include(ECMSourceVersionControl)
include(CMakeDependentOption)
include(FindPythonModule)

option(WITH_PYTHON_VENDORING "Python dependency vendoring (cmake will install python dependencies into drkonqi's python tree)" ON)

kde_enable_exceptions()

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Widgets DBus Concurrent Quick)

if(BUILD_TESTING)
    find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Test)
endif()

find_package(
    KF6
    ${KF6_MIN_VERSION}
    REQUIRED
    COMPONENTS
        I18n
        CoreAddons
        Config
        Service
        JobWidgets
        KIO
        Crash
        WidgetsAddons
        Wallet
        Notifications
        IdleTime
        WindowSystem
        SyntaxHighlighting
        StatusNotifierItem
)

ecm_find_qmlmodule(org.kde.kirigami 2.20)
ecm_find_qmlmodule(org.kde.kitemmodels 1.0)
ecm_find_qmlmodule(org.kde.syntaxhighlighting 1.0)

find_package(Python3 3.11 COMPONENTS Interpreter)

find_pythonmodule(psutil)
find_pythonmodule(pygdbmi)
find_pythonmodule(sentry_sdk)

find_package(GDB 12)
set_package_properties(GDB PROPERTIES TYPE RUNTIME PURPOSE "GDB is required for debugging")

find_package(eu-unstrip)
set_package_properties(eu-unstrip PROPERTIES TYPE RUNTIME PURPOSE "eu-unstrip is required for debugging")

ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 5.240
)

find_package(Systemd 254)
set_package_properties(Systemd PROPERTIES TYPE REQUIRED PURPOSE "Coredumpd integration.")

find_package(PolkitQt6-1) # This is only used when extracting crashes from coredumpd
set_package_properties(PolkitQt6-1 PROPERTIES TYPE REQUIRED PURPOSE "Reading kwin_wayland crashes")

find_package(coredumpctl)
set_package_properties(
    coredumpctl
    PROPERTIES
    TYPE RUNTIME
    DESCRIPTION "coredumpd CLI. part of systemd"
    PURPOSE "Required for coredumpd support to work at runtime!"
)

add_subdirectory(src)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ecm_qt_install_logging_categories(
    EXPORT DRKONQI
    FILE drkonqi.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## drkonqi 6.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(drkonqi)
-set(PROJECT_VERSION "6.4.2")
+set(PROJECT_VERSION "6.4.4")
 
 set(QT_MIN_VERSION "6.8.0")
 set(KF6_MIN_VERSION "6.14.0")

=== debian/changelog ===
drkonqi (6.4.4-0ubuntu1~tux2) noble; urgency=medium

  * Rebuild against kf6 6.17.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 28 Aug 2025 23:00:07 +0200

drkonqi (6.4.4-0ubuntu1~tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 26 Aug 2025 16:57:15 +0200

drkonqi (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Depend on elfutils for eu-unstrip binary.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:27:04 +0100

## drkonqi 6.4.5

=== src/data/CMakeLists.txt ===
install(FILES mappings DESTINATION ${KDE_INSTALL_DATADIR}/drkonqi)
install(DIRECTORY gdb_preamble DESTINATION ${KDE_INSTALL_DATADIR}/drkonqi/gdb/python/)

if(WITH_PYTHON_VENDORING)
    find_program(pip_EXE pip3)
    if(NOT pip_EXE)
        find_program(pip_EXE pip)
    endif()

    set(vendor_dir ${CMAKE_CURRENT_BINARY_DIR}/python)
    add_custom_target(python_vendor ALL
        BYPRODUCTS ${vendor_dir}
        COMMAND ${pip_EXE} install --target ${vendor_dir} pygdbmi psutil sentry-sdk)
    install(DIRECTORY ${vendor_dir} DESTINATION ${KDE_INSTALL_DATADIR}/drkonqi/gdb/)
endif()

=== src/coredump/cleanup/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,9 @@
 # SPDX-License-Identifier: BSD-3-Clause
 # SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>
 
-add_subdirectory(autotests)
+if(BUILD_TESTING)
+   add_subdirectory(autotests)
+endif()
 
 add_executable(drkonqi-coredump-cleanup main.cpp)
 install(TARGETS drkonqi-coredump-cleanup DESTINATION ${KDE_INSTALL_LIBEXECDIR})

=== debian/changelog ===
drkonqi (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:00:39 +0100

=== debian/control ===
Source: drkonqi
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libkf6config-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6idletime-dev (>= 6.14.0~),
               libkf6jobwidgets-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6notifications-dev (>= 6.14.0~),
               libkf6service-dev (>= 6.14.0~),
               libkf6statusnotifieritem-dev (>= 6.14.0~),
               libkf6syntaxhighlighting-dev (>= 6.14.0~),
               libkf6wallet-dev (>= 6.14.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               libpolkit-qt6-1-dev,
               libsystemd-dev [linux-any],
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/drkonqi
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
Rules-Requires-Root: no

Package: drkonqi
Architecture: any
Depends: elfutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-syntaxhighlighting,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: python3-psutil, python3-sentry-sdk
Suggests: systemd-coredump [linux-any],
Description: Crash handler for Qt applications
 Drkonqi shows a dialog for dealing with application crashes.
 .
 Drkonqi also doesn't technically require a process to actually crash, you
 can simply run it manually on any old pid. Do note that in most cases you
 only need to define the pid, however not giving certain cmdline options can
 change behavior somewhat drastically (e.g. kdeinit vs. notkdeinit behaves
 radically different as far as process name detection goes) . Drkonqi has a
 number of backends that may be used. Backends are stacked by order of
 preference, backends in the directory of the binary are most preferred.
 This means that you can dump debuggers/internal/ into your build's bin/
 directory and override for example gdb. This essentially allows you to
 replace the gdb debugger with a cat of a fixture file to not have to trace
 live processes at all.

## drkonqi 6.4.5+p24.04+vstable+git20251003.1046

=== debian/changelog ===
drkonqi (6.4.5+p24.04+vstable+git20251003.1046-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 10:46:18 +0000

drkonqi (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 03:49:59 +0000

drkonqi (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:06:57 +0000

drkonqi (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 10:52:45 +0000

drkonqi (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:40:35 +0000

drkonqi (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:36:38 +0000

drkonqi (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 17 Jun 2025 22:01:05 +1000

drkonqi (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:44:06 +0000

drkonqi (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 06:55:11 +0000

drkonqi (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 14:55:11 +0000

drkonqi (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 16:58:39 +0000

drkonqi (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:41:49 +0000

drkonqi (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:18:37 +0000

drkonqi (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 02:46:08 +0000

drkonqi (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Nov 2024 23:40:12 +0000

drkonqi (6.2.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:21:39 +0000

drkonqi (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 13:58:56 +0000

drkonqi (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:52:21 +0000

drkonqi (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 15:55:34 +0000

drkonqi (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:26:48 +0000

drkonqi (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:03:25 +0000

drkonqi (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:22:30 +0000

drkonqi (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 16:58:55 +0000

drkonqi (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:31:28 +0000

drkonqi (6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 12:49:38 +0000

drkonqi (6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:09:59 +0000

drkonqi (6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:39:38 +0000

drkonqi (6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:15:58 +0000

drkonqi (5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:12:04 +1000

drkonqi (5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:44:51 +0000

drkonqi (5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 14:53:50 +0000

drkonqi (5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 12:01:49 +0000

drkonqi (5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:15:05 +0000

drkonqi (5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:02:32 +0000

drkonqi (5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:30:44 +0000

drkonqi (5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:26:05 +0000

drkonqi (5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:03:20 +0000

drkonqi (5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 13:57:12 +0000

drkonqi (5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:25:34 +0000

drkonqi (5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Feb 2023 12:43:06 +0000

drkonqi (5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:38:03 +0000

drkonqi (5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:36:56 +0000

drkonqi (5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:16:41 +0000

drkonqi (5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 09:54:19 +0000

drkonqi (5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:35:08 +0000

drkonqi (5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2022 13:04:31 +0000

drkonqi (5.25.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2022 16:02:04 +0000

drkonqi (5.25.2-0neon) focal; urgency=medium

  * New release



## drkonqi 6.4.5+p24.04+vstable+git20251004.0433

=== debian/changelog ===
drkonqi (6.4.5+p24.04+vstable+git20251004.0433-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 04:33:14 +0000

## drkonqi 6.4.5+p24.04+vstable+git20251015.1500

=== debian/changelog ===
drkonqi (6.4.5+p24.04+vstable+git20251015.1500-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 15:00:53 +0000

## drkonqi 6.4.5+p24.04+vstable+git20251019.0248

=== debian/changelog ===
drkonqi (6.4.5+p24.04+vstable+git20251019.0248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:48:26 +0000

## drkonqi 6.4.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(drkonqi)
-set(PROJECT_VERSION "6.4.4")
+set(PROJECT_VERSION "6.4.91")
 
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -67,7 +67,6 @@
 find_package(Python3 3.11 COMPONENTS Interpreter)
 
 find_pythonmodule(psutil)
-find_pythonmodule(pygdbmi)
 find_pythonmodule(sentry_sdk)
 
 find_package(GDB 12)

=== src/coredump/polkit/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause

add_executable(drkonqi-polkit-helper main.cpp)
target_link_libraries(drkonqi-polkit-helper Qt6::DBus PolkitQt6-1::Core drkonqi-coredumpexcavator)
install(TARGETS drkonqi-polkit-helper DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF})

install(FILES org.kde.drkonqi.conf DESTINATION ${KDE_INSTALL_DBUSDIR}/system.d)
install(FILES org.kde.drkonqi.policy DESTINATION ${KDE_INSTALL_DATADIR}/polkit-1/actions)
configure_file(org.kde.drkonqi.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.drkonqi.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.drkonqi.service DESTINATION ${KDE_INSTALL_DBUSSYSTEMSERVICEDIR})

=== debian/changelog ===
drkonqi (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 11:57:40 +0200

=== debian/control ===
Source: drkonqi
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6idletime-dev (>= 6.18.0~),
               libkf6jobwidgets-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6syntaxhighlighting-dev (>= 6.18.0~),
               libkf6wallet-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libpolkit-qt6-1-dev,
               libsystemd-dev [linux-any],
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/drkonqi
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/drkonqi.git
Rules-Requires-Root: no

Package: drkonqi
Architecture: any
Depends: qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-syntaxhighlighting,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: python3-psutil,
            python3-sentry-sdk,
            systemd-coredump [linux-any],
Description: Crash handler for Qt applications
 Drkonqi shows a dialog for dealing with application crashes.
 .
 Drkonqi also doesn't technically require a process to actually crash, you
 can simply run it manually on any old pid. Do note that in most cases you
 only need to define the pid, however not giving certain cmdline options can
 change behavior somewhat drastically (e.g. kdeinit vs. notkdeinit behaves
 radically different as far as process name detection goes) . Drkonqi has a
 number of backends that may be used. Backends are stacked by order of
 preference, backends in the directory of the binary are most preferred.
 This means that you can dump debuggers/internal/ into your build's bin/
 directory and override for example gdb. This essentially allows you to
 replace the gdb debugger with a cat of a fixture file to not have to trace
 live processes at all.

## drkonqi 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(drkonqi)
-set(PROJECT_VERSION "6.4.91")
+set(PROJECT_VERSION "6.5.0")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== src/coredump/processor/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2019-2022 Harald Sitter <sitter@kde.org>

add_executable(drkonqi-coredump-processor main.cpp)
target_link_libraries(drkonqi-coredump-processor Qt::Core drkonqi-coredump)
install(TARGETS drkonqi-coredump-processor DESTINATION ${KDE_INSTALL_LIBEXECDIR})

configure_file(
    drkonqi-coredump-processor@.service.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/drkonqi-coredump-processor@.service
)
install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/drkonqi-coredump-processor@.service
    DESTINATION ${KDE_INSTALL_SYSTEMDUNITDIR}/system
)

configure_file(
    drkonqi-coredump-pickup.service.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/drkonqi-coredump-pickup.service
)
install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/drkonqi-coredump-pickup.service
    DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR}
)

install(CODE "
    include(${CMAKE_SOURCE_DIR}/cmake/SystemctlEnable.cmake)
    systemctl_enable(drkonqi-coredump-processor@.service systemd-coredump@.service ${KDE_INSTALL_FULL_SYSTEMDUNITDIR}/system)
    systemctl_enable(drkonqi-coredump-pickup.service plasma-core.target ${KDE_INSTALL_FULL_SYSTEMDUSERUNITDIR})
")

=== debian/changelog ===
drkonqi (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:35:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: drkonqi
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libkf6config-dev (>= 6.18.0~),
@@ -29,22 +30,22 @@
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
                zlib1g-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/drkonqi
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/drkonqi.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
 Rules-Requires-Root: no
 
 Package: drkonqi
 Architecture: any
-Depends: qml6-module-org-kde-kirigami,
+Depends: elfutils,
+         qml6-module-org-kde-kirigami,
          qml6-module-org-kde-kitemmodels,
          qml6-module-org-kde-syntaxhighlighting,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: python3-psutil,
-            python3-sentry-sdk,
-            systemd-coredump [linux-any],
+Recommends: python3-psutil, python3-sentry-sdk
+Suggests: systemd-coredump [linux-any],
 Description: Crash handler for Qt applications
  Drkonqi shows a dialog for dealing with application crashes.
  .

## drkonqi 6.5.0+p24.04+vstable+git20251021.0854

=== debian/changelog ===
drkonqi (6.5.0+p24.04+vstable+git20251021.0854-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:54:39 +0000

drkonqi (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:18:15 +0000

## drkonqi 6.5.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -116,14 +116,13 @@
     qbugzilla
 )
 
-if(Systemd_FOUND)
-    add_subdirectory(coredump)
+add_subdirectory(systemd)
+add_subdirectory(coredump)
 
-    target_sources(DrKonqiInternal PRIVATE coredumpbackend.cpp coredumpbackend.h)
-    target_link_libraries(DrKonqiInternal drkonqi-coredump) # needed for logs extraction
-    target_link_libraries(DrKonqiInternal drkonqi-coredumpexcavator)
-    target_compile_definitions(DrKonqiInternal PRIVATE SYSTEMD_AVAILABLE)
-endif()
+target_sources(DrKonqiInternal PRIVATE coredumpbackend.cpp coredumpbackend.h)
+target_link_libraries(DrKonqiInternal drkonqi-coredump) # needed for logs extraction
+target_link_libraries(DrKonqiInternal drkonqi-coredumpexcavator)
+target_compile_definitions(DrKonqiInternal PRIVATE SYSTEMD_AVAILABLE)
 
 add_executable(drkonqi main.cpp qml/qml.qrc)
 ecm_mark_nongui_executable(drkonqi)

=== src/parser/CMakeLists.txt ===
set(BACKTRACEPARSER_SRCS
    backtraceparser.cpp
    backtraceparsergdb.cpp
    backtraceparsernull.cpp
    backtraceparserlldb.cpp
    backtraceparser.h
    backtraceparsergdb.h
    backtraceparsernull.h
    backtraceparserlldb.h
)

ecm_qt_declare_logging_category(
    BACKTRACEPARSER_SRCS
    HEADER drkonqi_parser_debug.h
    IDENTIFIER DRKONQI_PARSER_LOG
    CATEGORY_NAME org.kde.drkonqi.parser
    DESCRIPTION "drkonqi parser"
    EXPORT DRKONQI
)

add_library(drkonqi_backtrace_parser STATIC ${BACKTRACEPARSER_SRCS})
target_link_libraries(drkonqi_backtrace_parser PUBLIC Qt::Core)

=== src/tests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

# Test helper for systeminformationtest
if(HAVE_UNAME)
    add_executable(lsb_release lsb_release_double.c)

    ecm_add_tests(systeminformationtest.cpp LINK_LIBRARIES Qt::Core Qt::Test DrKonqiInternal)
endif()

add_subdirectory(crashtest)
add_subdirectory(backtraceparsertest)
add_subdirectory(bugzillalibtest)
add_subdirectory(sentrytest)

ecm_add_tests(gdbbacktracelinetest.cpp LINK_LIBRARIES Qt::Core Qt::Test drkonqi_backtrace_parser)
ecm_add_tests(
        linuxprocmapsparsertest.cpp
        statusnotifier_activationclosetimertest.cpp
    LINK_LIBRARIES Qt::Core Qt::Test DrKonqiInternal)

if(NOT APPLE)
    if(NOT RUBY_EXECTUABLE)
        find_program(RUBY_EXECUTABLE ruby)
    endif()
    if(RUBY_EXECUTABLE)
        execute_process(COMMAND ${RUBY_EXECUTABLE} -e "require 'atspi'" RESULT_VARIABLE RUBY_ATSPI)
    endif()
    if(NOT GDB_EXECUTABLE)
        # Needed so drkonqi can actually trace something.
        find_program(GDB_EXECUTABLE gdb)
    endif()
    if(NOT XVFB_RUN_EXECTUABLE)
        find_program(XVFB_RUN_EXECTUABLE xvfb-run)
    endif()

    set(ATSPI_PATHS
        /usr/lib/at-spi2-core/ # debians
        /usr/libexec/ # newer debians
        /usr/lib/at-spi2/ # suses
    )
    if(NOT ATSPI_BUS_LAUNCHER_EXECUTABLE)
        find_program(
            ATSPI_BUS_LAUNCHER_EXECUTABLE
            NAMES at-spi-bus-launcher
            PATHS ${ATSPI_PATHS}
            DOC "AT-SPI accessibility dbus launcher"
        )
    endif()
    if(NOT ATSPI_REGISTRYD_EXECUTABLE)
        find_program(
            ATSPI_REGISTRYD_EXECUTABLE
            NAMES at-spi2-registryd
            PATHS ${ATSPI_PATHS}
            DOC "AT-SPI accessibility registry daemon"
        )
    endif()

    if(
        RUBY_EXECUTABLE
        AND XVFB_RUN_EXECTUABLE
        AND ATSPI_BUS_LAUNCHER_EXECUTABLE
        AND ATSPI_REGISTRYD_EXECUTABLE
        AND GDB_EXECUTABLE
        AND RUBY_ATSPI EQUAL 0
    )
        set(WITH_DRKONI_INTEGRATION_TESTING TRUE)
        add_subdirectory(integration)
    endif()
    add_feature_info(
        DrKonqiIntegrationTesting
        WITH_DRKONI_INTEGRATION_TESTING
        "Needs Ruby, functional atspi gem, gdb, as well as xvfb-run."
    )
endif()

=== src/tests/integration/CMakeLists.txt ===
add_test(
    NAME drkonqi_integration_suite
    COMMAND
        ${RUBY_EXECTUABLE} ${CMAKE_CURRENT_SOURCE_DIR}/suite --drkonqi $<TARGET_FILE:drkonqi> --at-spi-bus-launcher
        ${ATSPI_BUS_LAUNCHER_EXECUTABLE} --at-spi-registryd ${ATSPI_REGISTRYD_EXECUTABLE}
)
set_tests_properties(drkonqi_integration_suite PROPERTIES TIMEOUT 150)

# Hack to get rb files to show in qtc.
file(GLOB RUBIES suite *.rb)
add_custom_target(Rubies ALL echo SOURCES ${RUBIES})

=== debian/changelog ===
drkonqi (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:07:43 +0100

drkonqi (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:57:31 +0200
